Last version of Virtualbox you can use XP as host?

Discussion in 'sandboxing & virtualization' started by luciddream, Aug 17, 2016.

  1. luciddream

    luciddream Registered Member

    Joined:
    Mar 22, 2007
    Posts:
    2,497
    What is the last version of Virtualbox that you can use with XP SP3 as Host OS? I ran an old legacy version of it and never updated in the past, and don't have the installer for it anymore. I stopped using it but want to again on a machine that has XP as the OS.

    I just downloaded the new version, and decided to look at the list of supported OS's for both Host & Guest, which I'd never done before, and noticed that XP isn't on the list for Host OS's, but it is for Guest OS's. I just assumed it would run on XP, but glad I looked now. It shows Vista as the oldest version of Windows supported.

    Or will it work on XP and they just left it off the list for whatever reason?... can anyone confirm this? Is anyone running a current version with an XP Host? And if so how does it run? Or won't a recent version work on XP after all? And if so back to my OP point... what is the latest version it will work with with XP SP3 as Host OS?

    Thanks
     
  2. luciddream

    luciddream Registered Member

    Joined:
    Mar 22, 2007
    Posts:
    2,497
    Also, if the version is so old that key features are missing that exist on other VM's whose current versions will work with an XP SP3 Host... I'd like to hear about them, paid or free.
     
  3. MisterB

    MisterB Registered Member

    Joined:
    May 31, 2013
    Posts:
    1,103
    Location:
    Southern Rocky Mountains USA
    I tested one of the earlier releases of Virtualbox 5 on Xp x64. No problems with Virtualbox itself but the OS didn't handle thread balancing well on an i7 quad core CPU. I have an install of 4.3 on a 32 bit Xp pro machine with a Core 2 processor but I almost always use Windows 7 on that machine and haven't extensively tested it. All of the computers I have that still run Xp are a bit weak for VMs and the Windows guest OSes that work are Xp and earlier. For those I can use Virtual PC 2007 which works much better on older hardware. Anything with 2 or more cores that I have is using Windows 7 even if it came with Xp originally.
     
  4. luciddream

    luciddream Registered Member

    Joined:
    Mar 22, 2007
    Posts:
    2,497
    I guess I should have mentioned I'm running 32-bit XP SP3, and gave more info. about my specs for more accurate responses.

    I have a Corei7 CPU @ 2.7 GHz on this machine, 4 GB of RAM (3.25 really). Processor power certainly isn't a problem. And it's very trimmed back. 16 processes running at boot, 14 Services, and 3 Startup items.

    On another machine I may put it on I have a Core 2 Duo CPU @ 3.0 GHz, 4 GB of RAM. Tweaked pretty much identically.

    Okay, now I know I can at least use version 4.3 Thanks, that was a big help. You always did come through for me MisterB.

    Now... has anyone used a higher version than that on XP SP3 x86?...... do I hear 5.0?... going once, going twice?....

    Actually I think I'd rather just use 4.3 anyway than a new major release that's still so young. I know that v4 was designed to be able to utilize XP has a Host, and had many updates under it's belt I'm sure until updating to v5, which seems like it's had radical changes to it. I wonder if there were any other updates to v4.3 before it moved on to v5 though?... like a version 4.3.1, 4.3.2, etc...? If so I'd like to get my hands on it. I want the one as fleshed out as possible before v5 came onto the scene. So if anyone knows if this is the case please let me know. And even better yet, direct me to where I can find it. Because on Virtualbox's site they don't show every update in the older versions section, just to the tenth's column.
     
  5. Reality

    Reality Registered Member

    Joined:
    Aug 25, 2013
    Posts:
    689
    LucidDream, I have 4.3.38 which was the latest I could find for XP. Its installed but no guests installed yet. FWIW, a while back I remember seeing on a virtual box forum some hot debate about whether 5 would work on XP. Apparently someone had tried it and it was working OK but Oracle does not support it.
     
  6. NormanF

    NormanF Registered Member

    Joined:
    Feb 20, 2009
    Posts:
    1,441
    VB now updated to 5.14 and it prompted me to install a new updated extension pack.

    Guest OSes running smooth.
     
  7. Pliskin

    Pliskin Registered Member

    Joined:
    Feb 8, 2009
    Posts:
    341
    Version 5.13 works, didn't try the latest one.
     
  8. safeguy

    safeguy Registered Member

    Joined:
    Jun 14, 2010
    Posts:
    1,713
Loading...